aymara_ai.pagination
====================

.. py:module:: aymara_ai.pagination


Classes
-------

.. autoapisummary::

   aymara_ai.pagination.SyncOffsetPage
   aymara_ai.pagination.AsyncOffsetPage


Module Contents
---------------

.. py:class:: SyncOffsetPage

   Bases: :py:obj:`aymara_ai._base_client.BaseSyncPage`\ [\ :py:obj:`_T`\ ], :py:obj:`aymara_ai._base_client.BasePage`\ [\ :py:obj:`_T`\ ], :py:obj:`Generic`\ [\ :py:obj:`_T`\ ]


   Abstract base class for generic types.

   A generic type is typically declared by inheriting from
   this class parameterized with one or more type variables.
   For example, a generic mapping type might be defined as::

     class Mapping(Generic[KT, VT]):
         def __getitem__(self, key: KT) -> VT:
             ...
         # Etc.

   This class can then be used as follows::

     def lookup_name(mapping: Mapping[KT, VT], key: KT, default: VT) -> VT:
         try:
             return mapping[key]
         except KeyError:
             return default


   .. py:attribute:: items
      :type:  List[_T]


   .. py:attribute:: count
      :type:  Optional[int]
      :value: None



   .. py:method:: next_page_info()


.. py:class:: AsyncOffsetPage

   Bases: :py:obj:`aymara_ai._base_client.BaseAsyncPage`\ [\ :py:obj:`_T`\ ], :py:obj:`aymara_ai._base_client.BasePage`\ [\ :py:obj:`_T`\ ], :py:obj:`Generic`\ [\ :py:obj:`_T`\ ]


   Abstract base class for generic types.

   A generic type is typically declared by inheriting from
   this class parameterized with one or more type variables.
   For example, a generic mapping type might be defined as::

     class Mapping(Generic[KT, VT]):
         def __getitem__(self, key: KT) -> VT:
             ...
         # Etc.

   This class can then be used as follows::

     def lookup_name(mapping: Mapping[KT, VT], key: KT, default: VT) -> VT:
         try:
             return mapping[key]
         except KeyError:
             return default


   .. py:attribute:: items
      :type:  List[_T]


   .. py:attribute:: count
      :type:  Optional[int]
      :value: None



   .. py:method:: next_page_info()


